### Function

# Adw rgba_to_standalone

since: 1.6

#### Declaration [src]

    void
    adw_rgba_to_standalone (
      const GdkRGBA* rgba,
      gboolean dark,
      GdkRGBA* standalone_rgba
    )

#### Description [src]

Adjusts `rgba` to be suitable as a standalone color.

It will typically be darker for light background, and lighter for dark background, ensuring contrast.

Available since: 1.6

#### Parameters

`rgba`

  Type: `GdkRGBA`

  A background color.

  The data is owned by the caller of the function.

`dark`

  Type: `gboolean`

  Whether to calculate standalone color for light or dark background.

`standalone_rgba`

  Type: `GdkRGBA`

  Return location for the standalone color.

  The argument will be set by the function.
  The returned data is owned by the function.